このキーは Blink ベースのブラウザー (Google Chrome と Opera) ではサポートされていません。

Object
必須 No (Gecko でのみサポート)。Firefox 48 以前では必須。
"applications": {
  "gecko": {
    "id": "addon@example.com",
    "strict_min_version": "42.0",
    "strict_max_version": "50.*",
    "update_url": "https://example.com/updates.json"
  }
}

applications キーは、特定のホストアプリケーションのキーを含みます。

現在、4 つの文字列属性を含む gecko キーのみが存在します。

  • idextension ID です。Firefox 48 からオプションですが、Firefox 48 以前では必須です。いつ特定の add-on ID が必要になるかについては、WebExtensions and the Add-on ID を見てください。
  • strict_min_version: サポートする Gecko の最小バージョンです。"*" を含むバージョンは、このフィールドでは無効です。既定は "42a1" です。Gecko 45 が必要
  • strict_max_version: サポートする Gecko の最大バージョンです。既定は "*" です。Gecko 45 が必要
  • update_urladd-on update manifest へのリンクです。リンクは "https" で始まっている必要があることに注意してください。Gecko 45 が必要

Chrome 非互換

このキーは Chrome エクステンションでは使用できません。

使用可能なキーをすべて使用した例です。

"applications": {
  "gecko": {
    "id": "addon@example.com",
    "strict_min_version": "42.0",
    "strict_max_version": "50.*",
    "update_url": "https://example.com/updates.json"
  }
}

ドキュメントのタグと貢献者

 このページの貢献者: YuichiNukiyama
 最終更新者: YuichiNukiyama,